Table of Contents
- Introduction
- Information Tags
- String Tags
- Variable Tags

  | · Introduction · set · unset · cset · append · define · undefine · insert · use · formoutput

- URL Tags
- If Tags
- Graphics Tags
- Database Tags
- Programming Tags
- Supports System
- SSI
- htaccess
- Image Maps
- Appendix

<formoutput> ... </formoutput> |

`<formoutput>` is defined in the Main RXML parser module.

A tag for inserting variables into just about any context. By default anything within #'s will be interpreted as a variable. Thus #name# will be replaced by the value of the variable name. ## will be replaced by a #.

By default, the variable will be HTML quoted, that is, < will be inserted as &lt; > as &gt; and & as &amp;. However, there are instances when that is not what you want, for example, when inserting variables into SQL queries. Therefore, the quoting can be controlled by #variable : quote=scheme#. The different quoting schemes are:

`none`
  No quoting. This is dangerous and should never be used unless you have total control over the contents of the variable. If the variable contains an RXML tag, the tag will be parsed.

`html`
  The default quoting, for inserting into regular HTML or RXML.

`dtag`
  For inserting into HTML or RXML attributes that are quoted with ". For example <doc>`{{img src="/base/#image#"}}`</doc>.

`stag`
  For inserting into HTML or RXML attributes that are quoted with '. For example <doc>`{{img src='/base/#image#'}}`</doc>.

`url`
  For inserting variables into URLs.

`pike`
  For inserting into Pike strings, for use with the `<pike>` tag.

`js, javascript`
  For inserting into Javascript strings.

`mysql`
  For inserting into MySQL SQL queries.

`sql, oracle`
  For inserting into SQL queries.

Attributes |
quote,

Attributes

`quote`
  Select the string used for quoting the variable, default is #.

Example

source code

    Hello $foo$

    "=> >

result | Hello $foo$

</dump_if not cookie=rxml-help>